#ifndef MEDIAPLAYER_H
#define MEDIAPLAYER_H

#include "SDL.h"
#include <vector>
#include <string>
using namespace std;

#include "MediaResource.h"

///holds animation and sound playing information specific to an object.

class MediaPlayer {
 public:
  MediaPlayer (MediaResource *);
  int render (SDL_Surface * dest, SDL_Rect & center);
  int changeAnim (Uint8);
  ~MediaPlayer ();
 protected:

  Uint32 animToPlay;
  Uint32 animIndexToPlay;
  Uint32 channelToPlay;
  Uint32 startTime;
  Sint32 loopCounter;

  MediaResource * medRes;
};

#endif
